Log in

I need help

  • 2 Jun

Hi. My example code not work( please, help me

nitelyEsteban Castro Borsani
  • 2 Jun

This topic has been moved.

nitelyEsteban Castro Borsani
  • 2 Jun

I'm assuming the example project doesn't work for you. So, what's the issue? any error to show here? What step of the readme are you stuck in?

  • 2 Jun

Could not find a version that satisfies the requirement unicode-slugify==0.1.4 (from django-spirit==0.5.0.dev0) (from versions: 0.1, 0.1.1, 0.1.3)
No matching distribution found for unicode-slugify==0.1.4 (from django-spirit==0.5.0.dev0)

nitelyEsteban Castro Borsani
  • 2 Jun

What pip version are you running?

$ pip --version
  • 2 Jun

pip 9.0.1

nitelyEsteban Castro Borsani

What's the python version?

$ python --version

Try adding --process-dependency-links to the pip command. Like this:

$ pip install . --process-dependency-links

If that does not work, try this instead:

$ pip install . --allow-external unicode-slugify

Let me know if that works

nitelyEsteban Castro Borsani
  • 3 Jun

Ok. I just issued a fix for this one. To update Spirit, run:

$ cd Spirit
$ git fetch
$ git reset --hard origin/master

Then try the installation steps again.

  • 9 Jun

jpeg is required unless explicitly disabled using --disable-jpeg, aborting
Failed building wheel for Pillow

  • 9 Jun

Solved with sudo apt-get install libtiff5-dev libjpeg8-dev zlib1g-dev libfreetype6-dev liblcms2-dev libwebp-dev tcl8.6-dev tk8.6-dev python-tk

  • 9 Jun

Thanks. All works in localhost

nitelyEsteban Castro Borsani
  • 9 Jun

Awesome

Reply